openapi: 3.0.3
info:
    title: 🗄️Raw data
    description: >-
        <p>💡 ️Raw data.</p>
    version: 1.0.0
    contact:
        name: Golemio Prague Data Plaform
        email: golemio@operatorict.cz
        url: https://golemio.cz
servers:
    - url: https://rabin.golemio.cz/v2
      description: Test (development) server
    - url: https://api.golemio.cz/v2
      description: Main (production) server
    - url: http://localhost:3005
      description: Localhost

paths:
    /raw/{providerName}:
        post:
            parameters:
                - in: path
                  name: providerName
                  required: true
                  schema:
                      type: string
                  example: providerName
            tags:
                - 🗄 ️️Raw data
            requestBody:
                content:
                    text/plain:
                        schema:
                            type: string
                        examples:
                            text/plain:
                                summary: Sample data
                                value: "text plain"
                    application/json:
                        schema:
                            type: string
                        examples:
                            application/json:
                                summary: Sample data
                                value: { "id": 38, "title": "test" }
                    application/xml:
                        schema:
                            type: string
                        examples:
                            application/xml:
                                summary: Sample data
                                value: "<users><user>Alice</user><user>Bob</user></users>"
            responses:
                204:
                    description: OK
                404:
                    description: Not found
